
Infrastructure - Story #3297

make libclient useable for developers

2012-10-05 15:38 - Rob Nahf

Status: Closed Start date: 2012-09-23

Priority: Normal Due date: 2013-08-24

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: 2013.33-Block.4.4   

Story Points:    

Description

provide sufficient javadocs, install and deployment instructions, and clearly mark stable vs. new code (@since annotation?)

differentiate between v1 and v1.1 and make sure any jars are available on a release channel.

Subtasks:

Task # 3286: review default production environment in lib client Rejected

Task # 3280: put d1_libclient_java jar on releases.dataone.org Closed

Task # 3285: develop libclient developers usage document Closed

Task # 3930: create release process document in Development docs Closed

History

#1 - 2012-10-24 18:07 - Rob Nahf

- Status changed from New to In Progress

#2 - 2012-10-25 20:31 - Rob Nahf

- Start date deleted (2012-09-23)

- Due date deleted (2012-10-27)

- Target version deleted (Sprint-2012.41-Block.6.1)

don't have a priority for this so putting in the backlog

#3 - 2013-05-31 16:46 - Rob Nahf

- Start date set to 2013-05-26

- Due date set to 2013-06-08

- Target version set to 2013.22-Block.3.3

#4 - 2013-06-05 22:20 - Rob Nahf

- Target version changed from 2013.22-Block.3.3 to 2013.24-Block.3.4

- Due date changed from 2013-06-08 to 2013-06-22

pushing to next block since no unfinished tasks

#5 - 2013-08-07 19:26 - Rob Nahf

- Due date changed from 2013-06-22 to 2013-08-10

- Target version changed from 2013.24-Block.3.4 to 2013.30-Block.4.3

#6 - 2013-08-14 14:31 - Dave Vieglais

- Target version changed from 2013.30-Block.4.3 to 2013.33-Block.4.4

- Due date changed from 2013-08-10 to 2013-08-24
#7 - 2013-08-19 21:00 - Rob Nahf

- Status changed from In Progress to Closed

finished implementation and documentation of how to do releases.
